Subject: Re: [manet] [Roll] Is there comparisons reported between RPL and LOADng

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 18 Oct 2012 10:14:40 +0200

Sub: Reply to a post in IETF MANET WG List, related to LLNs deployment

Hi Thierry,

Which LOAD specification was deployed, LOADng-05 or LOADng-04, because
they are different specifications? because LOADng-05 uses MANET port
and RFC5444 but LOADng-04 does not.

AB
+++++++++++++++++++++++++++++++++++++++++++
Sub: Re: [manet] Experiment with 2000 nodes with LOAD
Date: Wed, 17 Oct 2012 18:00:47 +0200

> As mentionned in Lavenu's previous mail we have rolled-out a 2000 G3 PLC
> (an internationally standardized PLC technology) node trial and obtained
> excellent performances :
> daily collection success rate of 98 %
> dicovery rate of 99,7 % (the remaining meters is facing in majority HW
> problems)
>
> It is more than a year and a half that this experiment runs !
>
> ...and believe me, PLC is a very harsh media and routing is playing a
> critical role here. We see along the day a very stable communication rate
> even in duty hours (around 8 AM and 6-9 PM)
> This experiment proves that LOAD is a good protocol for large PLC networks
> characterized by low bandwidth, unstable links and link asymmetry.
> We use our experience to improve it and that's how LOADng has come up !
> Finally, PLC media is probably not so far from mobile networks since
> attenuation and noise is changing with time !
>
> Best regards,
>
> Thierry Lys
> ERDF
>
>  Thierry Lys
>  Direction Comptage / Metering Division
>  Building Crysalis - 345 Avenue Georges Clémenceau - 92000 Nanterre -
> France
>  Tel : +33 (0)1 81 97 67 77
>
> Hi Cédric, (Hope people will follow which cedric is talking !)
>
> Le 16 oct. 2012 à 18:58, Cedric-2 LAVENU a écrit :
>
> Dear Cédric,
>
> I'm not sure all this discussions really make sense :
>
>> An LLN network is definitely a type of MANET
>
> As JP pointed out, if LLNs challenges can be addressed  in MANET, why
> would have ROLL being created ?
> I think that a protocol intend to LLNs, or if LLNs are included in the
> scope should be reviewed by the ROLL working group , as it is the place
> dedicated by the IETF.
>
> Does that makes sense ?
>
> according to what Adrian said (he has been quoted several times in the
> past mails). One of the fileds LOADng is intended to be used are AMI PLC
> networks with low bandwidth (few kbps in the harshest environments), but
> can be extensible to other types of MANETs.
>
> And regarding your comment about experience with LOADng :
>
>> LOADng is a protocol for which several running implementations exist and
> interoperate as shown in draft :
> http://tools.ietf.org/html/draft-lavenu-lln-loadng-interoperability-report-02
>
>
>
> yes it has been discussed, and explained that the goal of these test were
> focused on validating the protocol behavior, not the performance.
>
>> In addition, LOAD (the previous version) was successfully run in a 2000
> PLC node trial.
>
> Very nice !
> Would you mind to share some details on this ?
>
> Cédric.
>
>
> I think that all the facts are on the table to say that LOAD would be
> suitable for MANETs (LLNs being a subset of MANETs). In addition field and
> lab experience does exist and demonstrated that LOADng can be very
> efficient.
>
> Regards,
> Cédric